package Pieces;

import Game.Player;

public class King extends BoardSquare {

    public King(){
        this.hasMoved = false;

        horiz = true;
        vert = true;
        diag = true;
        bidirectional = true;
        limit = 1;

        symbol = 'K';
        imagename = "King.png";
    }

    public King(int x, int y, Player player){
        this();
        this.x = x;
        this.y = y;
        this.owner = player;
    }

}
