package Pieces;

import Game.Player;

public class Rook extends BoardSquare {

    public Rook(){
        this.hasMoved = false;

        horiz = true;
        vert = true;
        diag = false;
        bidirectional = true;
        limit = 0;

        symbol = 'R';
        imagename = "Rook.png";
    }

    public Rook(int x, int y, Player player){
        this();
        this.x = x;
        this.y = y;
        this.owner = player;
    }

}
