package Pieces;

import Game.Player;

public class Queen extends BoardSquare {

    public Queen(){
        this.hasMoved = false;

        horiz = true;
        vert = true;
        diag = true;
        bidirectional = true;
        limit = 0;

        symbol = 'Q';
        imagename = "Queen.png";
    }

    public Queen(int x, int y, Player player){
        this();
        this.x = x;
        this.y = y;
        this.owner = player;
    }

}
